Bug 1272355 - CVE-2015-5302 libreport: Possible private data leak in Bugzilla bugs opened by ABRT [fedora-all]
CVE-2015-5302 libreport: Possible private data leak in Bugzilla bugs opened b...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreport (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matej Habrnal
Fedora Extras Quality Assurance
AcceptedFreezeException
: Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2015-5302 F23FinalFreezeException
  Show dependency treegraph
 
Reported: 2015-10-16 04:14 EDT by Adam Mariš
Modified: 2015-11-25 19:19 EST (History)
10 users (show)

See Also:
Fixed In Version: libreport-2.6.3-1.fc22 libreport-2.6.3-1.fc23 libreport-2.3.0-10.fc21
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-31 12:09:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-10-16 04:14:11 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Adam Mariš 2015-10-16 04:14:16 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1270903,1272355

# Description of your update
notes=Security fix for CVE-2015-5302

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1270903,1272355
Comment 2 Fedora Update System 2015-10-16 06:13:56 EDT
libreport-2.6.3-1.fc22 abrt-2.6.1-6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b81f7e1e86
Comment 3 Fedora Update System 2015-10-16 06:15:21 EDT
libreport-2.3.0-10.fc21 abrt-2.3.0-12.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6542ab6d3a
Comment 4 Fedora Update System 2015-10-16 15:51:08 EDT
abrt-2.7.0-1.fc23, libreport-2.6.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update abrt libreport'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-cc585b503f
Comment 5 Fedora Update System 2015-10-17 20:18:33 EDT
abrt-2.3.0-12.fc21, libreport-2.3.0-10.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update abrt libreport'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6542ab6d3a
Comment 6 Fedora Update System 2015-10-17 20:52:58 EDT
abrt-2.6.1-6.fc22, libreport-2.6.3-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update abrt libreport'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b81f7e1e86
Comment 7 Adam Williamson 2015-10-27 18:25:24 EDT
It seems a good idea to get this into F23 Final, so crashes filed from the installer and/or live images are not possibly subject to this problem. Proposing as a Final freeze exception.
Comment 8 Giulio 'juliuxpigface' 2015-10-27 18:26:57 EDT
+1 FE here, as per reason in comment #7.
Comment 9 Stephen Gallagher 2015-10-27 22:11:02 EDT
+1 FE as well, if we spin another release candidate, this should be in it.
Comment 10 Adam Williamson 2015-10-27 22:24:44 EDT
Marking as accepted. Note the build that fixes this is in RC6, currently spinning (it was the same build that fixes #1256456).
Comment 11 Fedora Update System 2015-10-28 12:24:28 EDT
abrt-2.6.1-6.fc22, libreport-2.6.3-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Adam Williamson 2015-10-28 12:38:34 EDT
Re-opening for F23 purposes.
Comment 13 Fedora Update System 2015-10-31 12:08:50 EDT
abrt-2.7.0-2.fc23, libreport-2.6.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-11-25 19:19:00 EST
abrt-2.3.0-12.fc21, libreport-2.3.0-10.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.